#pragma once

#include <LiquidCrystal_I2C.h>
#include <Wire.h>

LiquidCrystal_I2C lcd(0x27, 16, 2);

byte strelicaL1[]{B10000, B11000, B11100, B11110,
                  B11110, B11100, B11000, B10000};

byte strelicaL2[]{B01000, B01100, B01110, B01111,
                  B01111, B01110, B01100, B01000};

byte strelicaR2[]{B00010, B00110, B01110, B11110,
                  B11110, B01110, B00110, B00010};

byte strelicaR1[]{B00001, B00011, B00111, B01111,
                  B01111, B00111, B00011, B00001};

int cursor_string;
int prva = 0;

void setupLCD() {
  lcd.init();
  lcd.createChar(0, strelicaL1);
  lcd.createChar(1, strelicaL2);
  lcd.createChar(2, strelicaR1);
  lcd.createChar(3, strelicaR2);
  lcd.backlight();
}

void brisiDrugiRed() {
  lcd.setCursor(0, 1);
  char brisac[] = "nesto";
  lcd.print(brisac);
  lcd.clear();
  lcd.setCursor(0, 0);
}

int printajLCD(char tekst[]) {
  // brisiDrugiRed();
  lcd.clear();
  int cursor_tekst = (16 - strlen(tekst)) / 2;
  lcd.setCursor(cursor_tekst, 0);
  lcd.print(tekst);
  return cursor_tekst;
}

int printajLCDDrugiRed(char tekst[]) {
  int cursor_tekst = (16 - strlen(tekst)) / 2;
  lcd.setCursor(cursor_tekst, 1);
  lcd.print(tekst);
  return cursor_tekst;
}

void postavi_znakove(int prva, int znakL) {
  int druga = 16 - (prva + 1);
  lcd.setCursor(prva, 0);
  lcd.write(znakL);
  lcd.setCursor(druga, 0);
  lcd.write(znakL + 2);
}

int stanjeLCD = 5;
void printajStanje(int stanje) {
  if (stanjeLCD != stanje) {
    switch (stanje) {
    case 0:
      printajLCD("Init ...");
      break;
    case 1:
      printajLCD("Postavljaj ...");
      break;
    case 2:
      printajLCD("Cekaj drugog ...");
      break;
    case 3:
      printajLCD("Gadaj ->");
      break;
    case 4:
      printajLCD("Igra drugi");
      break;
    case 5:
      printajLCD("Kraj");
      break;
    default:
      break;
    };
    stanjeLCD = stanje;
  };
}

/*
cursor_string = ispisi_tekst("Settings");

  postavi_znakove(cursor_string - 2, prva);
  delay(500);
  prva = !prva;
*/